#pragma once

#include <MotorizedValve_Interface.hpp>

class MV_Spy : public MotorizedValve
{
  public:
	MV_Spy();
	void openMV();
	void closeMV();

	bool isMVOpen();
	bool isMVReady();

	void SPY_setOpen(bool o);
	void SPY_setReady(bool r);

  public:
	bool isOpen_, isReady_;
};